Subject: Re: [PATCH v15 11/13] tag.c: use 'ref-filter' APIs

From: Matthieu Moy <[email-masked]>
Date: Wed, 02 Sep 2015 18:13:33 +0200

Karthik Nayak <[email-masked]> writes:

> On Wed, Sep 2, 2015 at 8:40 PM, Junio C Hamano <[email-masked]> wrote:
>> Karthik Nayak <[email-masked]> writes:
>>
>>> +     if (filter->lines)
>>> +             format = to_free = xstrfmt("%%(align:15,left)%%(refname:short)%%(end) %%(contents:lines=%d)",
>>> +                                        filter->lines);
>>
>> I recall hearing that you were more in favor of
>>
>>         "%(align:16)%(refname:short) %(end)%(contents:lines=4)"
>>
>> somewhere in the earlier discussions?
>
> I did, but Matthieu suggested that this would be better!
> Can't find a link to that.

It was off-list. I don't have strong preference. My argument was:

> -            format = "%(align:16,left)%(refname:short)%(end)";
> +            format = "%(align:16,left)%(refname:short) %(end)";

I actually found the other more readable, as it reads "display the
refname aligned on 15 columns, and then a space", while this one reads
as "append a space to the refname, then align the result", which is
equivalent but requires more effort to understand.

But it's not important, keep this version if you prefer it like this.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/